tvbrowser

## Class FileLoggingHandler

- java.lang.Object
- - java.util.logging.Handler
  - - tvbrowser.FileLoggingHandler

-      class FileLoggingHandler
      extends java.util.logging.Handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileLoggingHandler(java.lang.String fName, java.util.logging.Formatter formatter)` Creates an instance of FileLoggingHandler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `publish(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileLoggingHandler

          public FileLoggingHandler(java.lang.String fName,
                            java.util.logging.Formatter formatter)
                             throws java.io.IOException

      Creates an instance of FileLoggingHandler.
      Parameters:
        `fName` - The name of the log file.
        `formatter` - The formatter for the log file.
      Throws:
        `java.io.IOException` - Is thrown if something goes wrong.

  - ### Method Detail

    - #### close

          public void close()
                     throws java.lang.SecurityException

      Specified by:
        `close` in class `java.util.logging.Handler`
      Throws:
        `java.lang.SecurityException`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `java.util.logging.Handler`

    - #### publish

          public void publish(java.util.logging.LogRecord record)

      Specified by:
        `publish` in class `java.util.logging.Handler`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)